import { HttpException, HttpStatus } from '@nestjs/common';
interface ErrorDetail {
    path: string;
    message: string;
}
declare class HttpErrorResponse extends HttpException {
    constructor(message: string | ErrorDetail[], status?: HttpStatus, data?: any);
}
export default HttpErrorResponse;
